%bcond_without mead
%if %with mead
%bcond_with repolib
%else
%bcond_without repolib
%endif

%define reltag .redhat_1
%define namedreltag -redhat-1
%global namedversion %{version}%{?namedreltag}

%define maven_version 13.0.1-redhat-1

Name:           guava-libraries
Version:        13.0.1
Release:        1%{?reltag}%{?dist}.1
Epoch:          0
Summary:        Google Core Libraries for Java
Group:          Development/Java

%if %with mead
Source100: com.google.guava-guava-parent-13.0.1-redhat-1-sources.zip
Source101: com.google.guava-guava-parent-13.0.1-redhat-1-patches.zip
Source102: guava-gwt-13.0.1-redhat-1.jar
Source103: guava-gwt-13.0.1-redhat-1-sources.jar
Source104: guava-gwt-13.0.1-redhat-1.pom
Source105: guava-gwt-13.0.1-redhat-1-javadoc.jar
Source106: guava-parent-13.0.1-redhat-1.pom
Source107: guava-13.0.1-redhat-1-sources.jar
Source108: guava-13.0.1-redhat-1.pom
Source109: guava-13.0.1-redhat-1.jar
Source110: guava-13.0.1-redhat-1-javadoc.jar
%endif

License:        ASL 2.0 
URL:            http://code.google.com/p/guava-libraries
%if 0
rm -rf guava-libraries && git clone -q -n https://code.google.com/p/guava-libraries && cd guava-libraries && git config core.autocrlf true && \
git archive --prefix=guava-libraries-13.0.1/ --format=tar v13.0.1 | bzip2 -9 > ../guava-libraries-13.0.1.tar.bz2
%endif
%if %without mead
Source0:        guava-libraries-13.0.1.tar.bz2
Patch0:         guava-libraries-pom.patch
Patch1:         openjdk-inference.patch
BuildRequires:  jpackage-utils 
BuildRequires:  jboss-parent
BuildRequires:  maven2
BuildRequires:  maven2-plugin-clean
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  junit >= 0:4.0
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Guava is a suite of core and expanded libraries that include 
utility classes, Google's collections, io classes, and much 
much more.

This project is a complete packaging of all the Guava libraries
into a single jar.  Individual portions of Guava can be used
by downloading the appropriate module and its dependencies.

%package -n guava
Group:          Development/Libraries/Java

Summary:        Guava: Google Core Libraries for Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
%if 0
XXX: don't require pom package at runtime
Requires:       guava-parent = %{epoch}:%{version}-%{release}
%endif
%if 0
FIXME: what package provides this in jboss?
XXX: this has optional=true in pom
Requires:       jsr-305
%endif
%if %without mead
BuildRequires:  jdiff
BuildRequires:  jsr-305
BuildRequires:  junit >= 0:4.5
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-source
BuildRequires:  animal-sniffer
BuildRequires:  mojo-signatures
%endif

%description -n guava
Guava is a suite of core and expanded libraries that include
utility classes, google's collections, io classes, and much
much more.

This project is a complete packaging of all the Guava libraries
into a single jar.  Individual portions of Guava can be used
by downloading the appropriate module and its dependencies.

Guava (complete) has only one code dependency - javax.annotation,
per the JSR-305 spec.

%package -n guava-bootstrap
Group:          Development/Libraries/Java

Summary:        Guava Compilation Bootstrap Classes
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
%if %without mead
BuildRequires:  maven2-plugin-compiler
%endif

%description -n guava-bootstrap
ExecutorService's type parameters changed between JDK5 and JDK6 in a
way that makes it impossible for our invokeAll/invokeAny methods to
match both at compile time. This project builds a JDK6-like copy of
ExecutorService (but with JDK5 compiler settings to ensure that it will
work with JRE5 at runtime).  This project's is then used in the bootstrap
class path of Guava proper.

%package -n guava-gwt
Group:          Development/Libraries/Java

Summary:        Guava GWT compatible libs
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
%if 0
XXX: don't require pom package at runtime
Requires:       guava-parent = %{epoch}:%{version}-%{release}
%endif
Requires:       guava = %{epoch}:%{version}-%{release}
%if %without mead
BuildRequires:  gwt
BuildRequires:  gwt-devel
BuildRequires:  junit >= 0:4.5
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
%endif

%description -n guava-gwt
Guava is a suite of core and expanded libraries that include
utility classes, google's collections, io classes, and much
much more.

This project includes GWT-friendly sources.

%package -n guava-parent
Group:          Development/Libraries/Java

Summary:        Guava Maven Parent
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       oss-parent
%if %without mead
BuildRequires:  oss-parent
%endif

%description -n guava-parent
Guava Maven Parent.

%package -n guava-testlib
Group:          Development/Libraries/Java

Summary:        Guava Testing Library
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
%if 0
XXX: don't require pom package at runtime
Requires:       guava-parent = %{epoch}:%{version}-%{release}
%endif
Requires:       guava = %{epoch}:%{version}-%{release}
Requires:       junit >= 0:4.5
Requires:       gwt-devel
%if %without mead
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-source
%endif

%description -n guava-testlib
Guava testlib is a set of java classes used for more convenient
unit testing - particularly to assist the tests for Guava itself.

%if %without mead
%package -n guava-tests
Group:          Development/Libraries/Java

Summary:        Guava Unit Tests
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
%if 0
XXX: don't require pom package at runtime
Requires:       guava-parent = %{epoch}:%{version}-%{release}
%endif
BuildRequires:  junit-truth
BuildRequires:  junit >= 0:4.5
BuildRequires:  easymock2
BuildRequires:  maven2-plugin-compiler

%description -n guava-tests
The unit tests for the Guava libraries - separated into a
separate artifact to allow for the testlibs to depend on guava
itself.
%endif

%package javadoc
Group:          Documentation

Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%if %without mead
%setup -q
%patch0 -p1 -b .sav0
%patch1 -p1 -b .sav1

%{__rm} guava/lib/jdiff.jar
%{__ln_s} `%{_bindir}/build-classpath jdiff` guava/lib/jdiff.jar
%{__rm} guava-tests/lib/libtruth.jar
%{__ln_s} `%{_bindir}/build-classpath truth` guava-tests/lib/libtruth.jar
%{__rm} guava-tests/lib/libtruth-gwt.jar

# FIXME: openjdk generics compilation errors
%{__rm} -r guava-tests/test/*
%endif

%build
%if %without mead
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=jboss-releases::default::file://`pwd`/maven2-brew
# XXX: upstream runs: clean package source:jar site:jar javadoc:jar deploy
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} clean install javadoc:jar deploy javadoc:aggregate

prevversion=`%{_bindir}/find maven2-brew -type d \( -name '[0-9]*' -a -not -name %{namedversion} \) -print -quit`
[ -z "${prevversion}" ] || prevversion=`/bin/basename ${prevversion}` && for d in `%{_bindir}/find maven2-brew -type d -name ${prevversion}`; do
    %{__mv} ${d}/* `/bin/echo ${d} | %{__sed} -e 's|'${prevversion}'|%{namedversion}|;'`/
    %{__rm} -r ${d}/
done
%endif

%install
%{__rm} -rf %{buildroot}

# jars                                                                                                                                                                                                                                       
%{__mkdir_p} %{buildroot}%{_javadir}
%if %without mead                                                                                                                                                                   
%{__cp} -p maven2-brew/com/google/guava/guava-bootstrap/%{namedversion}/guava-bootstrap-%{namedversion}-sources.jar %{buildroot}%{_javadir}/guava-bootstrap-%{namedversion}-sources.jar                                                      
%{__cp} -p maven2-brew/com/google/guava/guava-bootstrap/%{namedversion}/guava-bootstrap-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/guava-bootstrap-%{namedversion}-javadoc.jar                                                      
%{__cp} -p maven2-brew/com/google/guava/guava-bootstrap/%{namedversion}/guava-bootstrap-%{namedversion}.jar %{buildroot}%{_javadir}/guava-bootstrap-%{namedversion}.jar                                                                      
%{__cp} -p maven2-brew/com/google/guava/guava-gwt/%{namedversion}/guava-gwt-%{namedversion}.jar %{buildroot}%{_javadir}/guava-gwt-%{namedversion}.jar
%{__cp} -p maven2-brew/com/google/guava/guava-gwt/%{namedversion}/guava-gwt-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/guava-gwt-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/com/google/guava/guava-gwt/%{namedversion}/guava-gwt-%{namedversion}-sources.jar %{buildroot}%{_javadir}/guava-gwt-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/google/guava/guava/%{namedversion}/guava-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/guava-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/com/google/guava/guava/%{namedversion}/guava-%{namedversion}-sources.jar %{buildroot}%{_javadir}/guava-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/google/guava/guava/%{namedversion}/guava-%{namedversion}.jar %{buildroot}%{_javadir}/guava-%{namedversion}.jar
%{__cp} -p maven2-brew/com/google/guava/guava-testlib/%{namedversion}/guava-testlib-%{namedversion}-sources.jar %{buildroot}%{_javadir}/guava-testlib-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/google/guava/guava-testlib/%{namedversion}/guava-testlib-%{namedversion}.jar %{buildroot}%{_javadir}/guava-testlib-%{namedversion}.jar
%{__cp} -p maven2-brew/com/google/guava/guava-testlib/%{namedversion}/guava-testlib-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/guava-testlib-%{namedversion}-javadoc.jar
#%{__cp} -p maven2-brew/com/google/guava/guava-tests/%{namedversion}/guava-tests-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/guava-tests-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/com/google/guava/guava-tests/%{namedversion}/guava-tests-%{namedversion}.jar %{buildroot}%{_javadir}/guava-tests-%{namedversion}.jar
%else
%{__cp} -p %{_sourcedir}/guava-gwt-%{namedversion}.jar %{buildroot}%{_javadir}/guava-gwt-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/guava-gwt-%{namedversion}-sources.jar %{buildroot}%{_javadir}/guava-gwt-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/guava-%{namedversion}-sources.jar %{buildroot}%{_javadir}/guava-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/guava-%{namedversion}.jar %{buildroot}%{_javadir}/guava-%{namedversion}.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%if %without mead
%{__cp} -p maven2-brew/com/google/guava/guava-bootstrap/%{namedversion}/guava-bootstrap-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-guava-bootstrap.pom
%{__cp} -p maven2-brew/com/google/guava/guava-gwt/%{namedversion}/guava-gwt-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-guava-gwt.pom
%{__cp} -p maven2-brew/com/google/guava/guava/%{namedversion}/guava-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-guava.pom
%{__cp} -p maven2-brew/com/google/guava/guava-parent/%{namedversion}/guava-parent-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-guava-parent.pom
%{__cp} -p maven2-brew/com/google/guava/guava-testlib/%{namedversion}/guava-testlib-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-guava-testlib.pom
%{__cp} -p maven2-brew/com/google/guava/guava-tests/%{namedversion}/guava-tests-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-guava-tests.pom
%else
%{__cp} -p %{_sourcedir}/guava-gwt-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-guava-gwt.pom
%{__cp} -p %{_sourcedir}/guava-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-guava.pom
%{__cp} -p %{_sourcedir}/guava-parent-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-guava-parent.pom
%endif

# depmaps
%if %without mead
%add_to_maven_depmap com.google.guava guava-bootstrap %{namedversion} JPP guava-bootstrap
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/guava-bootstrap
%endif
%add_to_maven_depmap com.google.guava guava-gwt %{namedversion} JPP guava-gwt
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/guava-gwt
%add_to_maven_depmap com.google.guava guava-parent %{namedversion} JPP guava-parent
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/guava-parent
%if %without mead
%add_to_maven_depmap com.google.guava guava-testlib %{namedversion} JPP guava-testlib
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/guava-testlib
%add_to_maven_depmap com.google.guava guava-tests %{namedversion} JPP guava-tests
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/guava-tests
%endif
%add_to_maven_depmap com.google.guava guava %{namedversion} JPP guava
[ -f %{buildroot}%{_mavendepmapfragdir}/guava ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/guava

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%if %without mead
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%else
%{__unzip} -qq %{_sourcedir}/guava-gwt-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/guava-gwt
%{__unzip} -qq %{_sourcedir}/guava-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/guava
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/guava-gwt/META-INF
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/guava/META-INF
%endif
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%{__unzip} -qq %{_sourcedir}/com.google.guava-guava-parent-%{namedversion}-sources.zip
%{__cp} %{name}/AUTHORS ./
%{__cp} %{name}/CONTRIBUTORS ./
%{__cp} %{name}/COPYING ./
%{__cp} %{name}/README ./
%{__cp} %{name}/README.maven ./
%{__rm} -rf %{name}


%post -n guava
%update_maven_depmap

%postun -n guava
%update_maven_depmap

%if %without mead
%post -n guava-bootstrap
%update_maven_depmap

%postun -n guava-bootstrap
%update_maven_depmap
%endif

%post -n guava-gwt
%update_maven_depmap

%postun -n guava-gwt
%update_maven_depmap

%post -n guava-parent
%update_maven_depmap

%postun -n guava-parent
%update_maven_depmap

%if %without mead
%post -n guava-testlib
%update_maven_depmap

%postun -n guava-testlib
%update_maven_depmap

%post -n guava-tests
%update_maven_depmap

%postun -n guava-tests
%update_maven_depmap
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n guava
%defattr(0644,root,root,0755)
%doc AUTHORS CONTRIBUTORS COPYING README README.maven
%if %without mead
%exclude %{_javadir}*/guava-%{namedversion}-javadoc.jar
%exclude %{_javadir}*/guava-javadoc.jar
%endif
%{_javadir}*/guava-%{namedversion}-sources.jar
%{_javadir}*/guava-sources.jar
%{_javadir}*/guava-%{namedversion}.jar
%{_javadir}*/guava.jar
%{_mavenpomdir}/JPP-guava.pom
%{_mavendepmapfragdir}/guava

%if %without mead
%files -n guava-bootstrap
%defattr(0644,root,root,0755)
%{_javadir}*/guava-bootstrap-%{namedversion}-sources.jar
%{_javadir}*/guava-bootstrap-sources.jar
%if %without mead
%exclude %{_javadir}*/guava-bootstrap-%{namedversion}-javadoc.jar
%exclude %{_javadir}*/guava-bootstrap-javadoc.jar
%endif
%{_javadir}*/guava-bootstrap-%{namedversion}.jar
%{_javadir}*/guava-bootstrap.jar
%{_mavenpomdir}/JPP-guava-bootstrap.pom
%{_mavendepmapfragdir}/guava-bootstrap
%endif

%files -n guava-gwt
%defattr(0644,root,root,0755)
%{_javadir}*/guava-gwt-%{namedversion}.jar
%{_javadir}*/guava-gwt.jar
%if %without mead
%exclude %{_javadir}*/guava-gwt-%{namedversion}-javadoc.jar
%exclude %{_javadir}*/guava-gwt-javadoc.jar
%endif
%{_javadir}*/guava-gwt-%{namedversion}-sources.jar
%{_javadir}*/guava-gwt-sources.jar
%{_mavenpomdir}/JPP-guava-gwt.pom
%{_mavendepmapfragdir}/guava-gwt

%files -n guava-parent
%defattr(0644,root,root,0755)
%{_mavenpomdir}/JPP-guava-parent.pom
%{_mavendepmapfragdir}/guava-parent

%if %without mead
%files -n guava-testlib
%defattr(0644,root,root,0755)
%{_javadir}*/guava-testlib-%{namedversion}-sources.jar
%{_javadir}*/guava-testlib-sources.jar
%{_javadir}*/guava-testlib-%{namedversion}.jar
%{_javadir}*/guava-testlib.jar
%if %without mead
%exclude %{_javadir}*/guava-testlib-%{namedversion}-javadoc.jar
%exclude %{_javadir}*/guava-testlib-javadoc.jar
%endif
%{_mavenpomdir}/JPP-guava-testlib.pom
%{_mavendepmapfragdir}/guava-testlib

%files -n guava-tests
%defattr(0644,root,root,0755)
#%{_javadir}*/guava-tests-%{namedversion}-javadoc.jar
#%{_javadir}*/guava-tests-javadoc.jar
%{_javadir}*/guava-tests-%{namedversion}.jar
%{_mavenpomdir}/JPP-guava-tests.pom
%{_javadir}*/guava-tests.jar
%{_mavendepmapfragdir}/guava-tests
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Thu Feb 28 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:13.0.1-1.redhat_1.1
- Upgrade to 13.0.1

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:11.0.2-0.5.redhat_2.6
- Rebuild for MD5

* Tue Sep 04 2012 Paul Gier <pgier@redhat.com> - 0:11.0.2-0.4.redhat_2.6
- Minor pom patch update 

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:11.0.2-0.4.redhat_2.5
- Rebuild unsigned

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:11.0.2-0.4.redhat_2.4
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:11.0.2-0.4.redhat_2.3
- Rebuild unsigned

* Tue Jul 24 2012 Hui Wang <huwang@redhat.com> - 0:11.0.2-0.4.redhat_1.2
- Add AUTHORS CONTRIBUTORS COPYING README README.maven to %%doc

* Fri Jul 20 2012 Fernando Nasser <fnasser@redhat.com> - 0:11.0.2-0.4.redhat_1.1
- Rebuild using cache signing

* Fri Jul 13 2012 Hui Wang <huwang@redhat.com> 0:11.0.2-0.4_redhat_1
- First mead build

* Thu Jun 14 2012 David Walluck <dwalluck@redhat.com> 0:11.0.2-0.3
- better deploy workaround
- fix macro in comment

* Fri May 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:11.0.2-0.2.redhat_1
- Remove javadoc.jar files from main packages

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:11.0.2-0.1_redhat_1.1
- Rebuild using cache signing

* Mon Mar 26 2012 David Walluck <dwalluck@redhat.com> 0:11.0.2-0.1
- 11.0.2

* Thu Feb 02 2012 David Walluck <dwalluck@redhat.com> 0:10.0.1-0.6
- remove Requires: guava-parent (no pom at runtime)
- remove Requires: jsr-305 (optional)

* Thu Nov 17 2011 David Walluck <dwalluck@redhat.com> 0:10.0.1-0.4_redhat_1
- fix oss-parent version
- fix Release tag

* Tue Nov 15 2011 David Walluck <dwalluck@redhat.com> 0:10.0.1-0.3_redhat_1
- use external libtruth

* Sun Nov 13 2011 David Walluck <dwalluck@redhat.com> 0:10.0.1-0.2_redhat_1
- BuildRequires: jdiff
- fix package names

* Sun Nov 13 2011 David Walluck <dwalluck@redhat.com> 0:10.0.1-0.1_redhat_1
- release
